@import "Fonts/fonts";

:root {
  --font-color: white;
  --light: #F9F4F1;
  --gray: #F9F4F1;
  --gray-2: #8F8B8B;
  --gray-3: #535355;
  --gray-4: #2B2B2D;
  --background: #161616;
  --primary: #FF9110;
  --transparent-primary: rgba(255, 145, 16, 0.1);
  --error: #F14B53;
}

* {
  box-sizing: border-box;
}

*::selection{
}

body {
  margin: 0;
  font-family: 'Mulish', sans-serif;
  font-weight: 400;
  background: var(--background);
  color: var(--font-color);
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

#root{
  display: contents;
}

h1, h2, h3, h4, h5, h6 {
  font-family: 'CAT Linz', serif;
  font-weight: 400;
  margin: 0;
}

p {
  margin: 0;
}

button {
  display: block;
  font-size: inherit;
  font-family: inherit;
  font-weight: inherit;
  line-height: inherit;
}

.button{
  padding: 16px;
  align-items: center;
  display: flex;
  justify-content: center;
  border-radius: 999px;
  border: none;
  font-size: 16px;
  text-transform: uppercase;
  background: #FF9110;
  cursor: pointer;
}

.input {
  display: block;
  padding: 12px 20px;
  background: var(--gray-4);
  border: 1px solid var(--gray-3);
  border-radius: 999px;
  font-family: inherit;
  font-weight: 500;
  font-size: 16px;
  line-height: 25px;
  letter-spacing: 0.03em;
  color: var(--light);
  outline: none;
  height: 43px;

  &::placeholder {
    color: var(--gray-2);
  }
}

.container {
  width: calc(100% - 64px);
  max-width: 1230px;
  margin: 0 auto;
}

@media screen and (max-width: 576px) {

  .container {
    width: calc(100% - 32px);
  }
}